import PropTypes from 'prop-types';
import React from 'react';
import IconStarFullDefault from '@s-ui/react-icons/lib/Star';
import IconStarHalfDefault from '@s-ui/react-icons/lib/Starhalf';
import IconStarEmptyDefault from '@s-ui/react-icons/lib/Starempty';
var baseNumber = 0.5;

var checkRatingValue = function checkRatingValue(_ref) {
  var ratingValue = _ref.ratingValue,
      ratingMax = _ref.ratingMax;
  return ratingValue % baseNumber === 0 && ratingValue <= ratingMax;
};

var RatingStar = function RatingStar(_ref2) {
  var _ref2$ratingValue = _ref2.ratingValue,
      ratingValue = _ref2$ratingValue === void 0 ? 0 : _ref2$ratingValue,
      _ref2$ratingMax = _ref2.ratingMax,
      ratingMax = _ref2$ratingMax === void 0 ? 5 : _ref2$ratingMax,
      _ref2$icons = _ref2.icons,
      icons = _ref2$icons === void 0 ? {
    starEmpty: IconStarEmptyDefault,
    starFull: IconStarFullDefault,
    starHalf: IconStarHalfDefault
  } : _ref2$icons;
  var svgIconsType = {
    half: icons.starHalf,
    full: icons.starFull,
    empty: icons.starEmpty
  };

  var _renderStar = function _renderStar(_, index) {
    if (!checkRatingValue({
      ratingValue: ratingValue,
      ratingMax: ratingMax
    })) return null;
    var ratingRound = Math.round(ratingValue);
    var ratingFloor = Math.floor(ratingValue);
    var nextItem = index + 1;
    var full = nextItem <= ratingRound;
    var half = ratingRound === nextItem && ratingFloor !== ratingValue;
    var typeStar;

    if (half) {
      typeStar = 'half';
    } else if (full) {
      typeStar = 'full';
    } else {
      typeStar = 'empty';
    }

    var SvgIconsCall = svgIconsType[typeStar];
    return React.createElement(SvgIconsCall, {
      key: index,
      svgClass: "sui-AdSmartbanner-ratingIcon"
    });
  };

  return React.createElement("span", {
    className: "sui-AdSmartbanner-rating"
  }, Array(ratingMax).fill().map(_renderStar));
};

RatingStar.displayName = 'RatingStar';
export default RatingStar;