import PropTypes from 'prop-types';
import React from 'react';
import IconCloseDefault from '@s-ui/react-icons/lib/X';
import cx from 'classnames';
import RatingStar from './RatingStar';

function AdSmartbanner(_ref) {
  var buttonText = _ref.buttonText,
      customRatingIcons = _ref.customRatingIcons,
      _ref$icon = _ref.icon,
      IconClose = _ref$icon === void 0 ? IconCloseDefault : _ref$icon,
      imageUrl = _ref.imageUrl,
      onClick = _ref.onClick,
      onClose = _ref.onClose,
      ratingMax = _ref.ratingMax,
      _ref$ratingValue = _ref.ratingValue,
      ratingValue = _ref$ratingValue === void 0 ? null : _ref$ratingValue,
      _ref$staticPosition = _ref.staticPosition,
      staticPosition = _ref$staticPosition === void 0 ? false : _ref$staticPosition,
      text = _ref.text,
      title = _ref.title;
  var className = cx('sui-AdSmartbanner', {
    'is-static': staticPosition
  });
  return React.createElement("div", {
    className: className
  }, React.createElement("button", {
    className: "sui-AdSmartbanner-buttonClose",
    onClick: onClose
  }, React.createElement(IconClose, {
    svgClass: "sui-AdSmartbanner-buttonCloseIcon"
  })), React.createElement("div", {
    className: "sui-AdSmartbanner-primary"
  }, React.createElement("img", {
    alt: "logo",
    src: imageUrl,
    className: "sui-AdSmartbanner-logo"
  })), React.createElement("div", {
    className: "sui-AdSmartbanner-secondary"
  }, React.createElement("h3", {
    className: "sui-AdSmartbanner-title"
  }, title), React.createElement("p", {
    className: "sui-AdSmartbanner-text"
  }, text), ratingValue !== null && React.createElement(RatingStar, {
    ratingValue: ratingValue,
    ratingMax: ratingMax,
    icons: customRatingIcons
  })), React.createElement("button", {
    className: "sui-AdSmartbanner-buttonInstall",
    onClick: onClick
  }, buttonText));
}

AdSmartbanner.displayName = 'AdSmartbanner';
export default AdSmartbanner;